using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class HostModalRecord
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual long ID
		{
			get;
			set;
		}
		/// <summary>
		/// HostID
		/// </summary>
		public virtual int HostID
		{
			get;
			set;
		}
		/// <summary>
		/// RoomNumber
		/// </summary>
		public virtual string RoomNumber
		{
			get;
			set;
		}
		/// <summary>
		/// RoomTypeID
		/// </summary>
		public virtual int RoomTypeID
		{
			get;
			set;
		}
		/// <summary>
		/// RoomTypeModalID
		/// </summary>
		public virtual int RoomTypeModalID
		{
			get;
			set;
		}
		/// <summary>
		/// ModalAddress
		/// </summary>
		public virtual string ModalAddress
		{
			get;
			set;
		}
		/// <summary>
		/// StartTime
		/// </summary>
		public virtual DateTime StartTime
		{
			get;
			set;
		}
		/// <summary>
		/// EndTime
		/// </summary>
		public virtual DateTime? EndTime
		{
			get;
			set;
		}
        /// <summary>
        /// 状态：1开，2关
        /// </summary>
        public virtual int Status
        {
            get;
            set;
        }
	}
}
